%define packname car
# Note that some R packages do not use packrel
%define packrel 7

Name:             R-%{packname}
Version:          1.2
Release:          2%{?dist}
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}-%{packrel}.tar.gz
License:          GPLv2+
URL:              http://cran.r-project.org/src/contrib/Descriptions/car.html
Group:            Applications/Engineering
Summary:          Companion to Applied Regression package for R
BuildRequires:    R-devel, tetex-latex
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch
Requires(post):   R
Requires(postun): R
Requires:         R

%description
This package accompanies J. Fox, An R and S-PLUS Companion to Applied
Regression, Sage, 2002. The package contains mostly functions for applied
regression, linear models, and generalized linear models, with an emphasis on
regression diagnostics, particularly graphical diagnostic methods.  There are
also some utility functions. With some exceptions, it does not duplicate
capabilities in the basic distribution of R, nor in widely used packages.
Where relevant, the functions in car are consistent with na.action = na.omit
or na.exclude.

%prep
%setup -q -c -n %{packname}
#Fix permissions
find -type f | xargs chmod -x
#Fix encoding
iconv -f iso-8859-1 -t utf-8 < car/inst/CHANGES | tr -d '\r' > car/inst/CHANGES.utf-8
touch -r car/inst/CHANGES car/inst/CHANGES.utf-8
mv car/inst/CHANGES.utf-8 car/inst/CHANGES

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# Use --no-install until R-leaps is available
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/man
%doc %{_datadir}/R/library/%{packname}/CHANGES 
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION 
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/help

%changelog
* Wed Feb 13 2008 Orion Poplawski <orion@cora.nwra.com> 1.2-2
- Fix file permissions, line endings and encoding

* Wed Feb 13 2008 Orion Poplawski <orion@cora.nwra.com> 1.2-1
- Initial package creation
